Download it now!
Bug 126728 - LibreOffice slow start due to FTP access failure (kde5 only)
Summary: LibreOffice slow start due to FTP access failure (kde5 only)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-08-06 11:04 UTC by Luiz Silva
Modified: 2020-05-15 03:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace 1 (1.12 KB, text/plain)
2019-08-09 14:21 UTC, Luiz Silva
Details
Backtrace 2 (16.09 KB, text/plain)
2019-08-09 14:34 UTC, Luiz Silva
Details
Backtrace 3 (26.35 KB, text/plain)
2019-08-14 13:13 UTC, Luiz Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Silva 2019-08-06 11:04:00 UTC
Description:
I have noticed that LibreOffice takes a long time to start on my machine and decided to strace it to see what was causing the slowness. It turns out that LibreOffice is making six attempts at resolving the address ftp://ftp.libreoffice.org prior to actually starting up.

I actually confirmed this by tcpdumping at port 53.

Because I was unable to resolve ftp.libreoffice.org into an IP address, all six attempts timed-out, leading to a slowdown of about 16s to fully start.

After I added ftp.libreoffice.org as an alias to 127.0.0.1 to /etc/hosts, the startup time dropped to about 5s.

At first I thought it was a problem with my DNS, but, by further researching, I found out that the URL ftp.libreoffice.org is not resolvable anywhere.

My first guess is that this behavior is part of some "check for updates at start" type of setting, but to my surprise I could not find anything in LibreOffice's settings to disable this.
There used to be a setting for this in LibreOffice 5 [Tools - Options - LibreOffice - Online Update], but not anymore on 6, at least not in the version available in Opensuse Tumbleweed.
I also tried poking around in LibreOffice's advanced settings looking for any entries for ftp.libreoffice.org, but couldn't find anything.

If this is not a "check for updates at start" setting, I wonder why is LibreOffice trying to resolve the above URL.

I started a FTP server on my machine, which due to the alias I added to /etc/hosts, would receive the connection attempts done by LibreOffice. No traffic was observed, all that LibreOffice is doing during startup is name resolution, no actual FTP connection is made whatsoever.

I believe this is a bug and that, since the URL ftp.libreoffice.org is not resolving world-wide, this issue is affecting a lot of people.

Steps to Reproduce:
1. Open LibreOffice, base or any component, and strace it.
2. Watch on strace as there are six times while its loading that the output freezes for about a second due to name resolution failures for ftp://ftp.libreoffice.org
3. Do a nslookup and check that ftp.libreoffice.org is not resolvable through any DNS servers.
3. Add ftp.libreoffice.org as an alias for 127.0.0.1 on /etc/hosts and see the issue disappear [workaround, obviously].

Actual Results:
LibreOffice takes about 16 seconds to fully load.

Expected Results:
With the aforementioned workaround, LibreOffice takes about 5 seconds to fully load.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
T430:~ # cat /etc/*ease
LSB_VERSION="core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:core-2.0-x86_64:core-3.2-x86_64:core-4.0-x86_64"
NAME="openSUSE Tumbleweed"
# VERSION="20190730"
ID="opensuse-tumbleweed"
ID_LIKE="opensuse suse"
VERSION_ID="20190730"
PRETTY_NAME="openSUSE Tumbleweed"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:tumbleweed:20190730"
BUG_REPORT_URL="https://bugs.opensuse.org"
HOME_URL="https://www.opensuse.org/"
LOGO="distributor-logo"
T430:~ #

T430:~ # rpm -qa | grep libreoffice
libreoffice-mailmerge-6.2.5.2-1.1.x86_64
libreoffice-base-6.2.5.2-1.1.x86_64
libreoffice-l10n-en-6.2.5.2-1.1.noarch
libreoffice-pyuno-6.2.5.2-1.1.x86_64
libreoffice-gnome-6.2.5.2-1.1.x86_64
libreoffice-l10n-pt_BR-6.2.5.2-1.1.noarch
libreoffice-base-drivers-firebird-6.2.5.2-1.1.x86_64
libreoffice-draw-6.2.5.2-1.1.x86_64
libreoffice-filters-optional-6.2.5.2-1.1.x86_64
libreoffice-icon-themes-6.2.5.2-1.1.noarch
libreoffice-writer-6.2.5.2-1.1.x86_64
libreoffice-branding-upstream-6.2.5.2-1.1.noarch
libreoffice-math-6.2.5.2-1.1.x86_64
libreoffice-share-linker-1-5.1.noarch
libreoffice-qt5-6.2.5.2-1.1.x86_64
libreoffice-impress-6.2.5.2-1.1.x86_64
libreoffice-calc-6.2.5.2-1.1.x86_64
libreoffice-gtk3-6.2.5.2-1.1.x86_64
libreoffice-6.2.5.2-1.1.x86_64
T430:~ #

T430:~ # time strace -f /usr/lib64/libreoffice/program/soffice.bin --calc 2>&1 | grep ftp
[pid  1803] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  1803] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
[pid  1803] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\27\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  1803] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\33\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
[pid  1803] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\37\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  1803] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0#\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
^C

real    0m16,752s
user    0m0,883s
sys     0m1,136s
T430:~ #

T430:~ # grep libre /etc/hosts
127.0.0.1       localhost ftp.libreoffice.org
T430:~ #

T430:~ # time strace -f /usr/lib64/libreoffice/program/soffice.bin --calc 2>&1 | grep ftp
[pid  3538] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  3538] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  3538] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\27\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
[pid  3538] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\33\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
[pid  3538] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\37\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  3538] sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0#\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
^C

real    0m5,290s
user    0m0,830s
sys     0m1,194s
T430:~ #

T430:~ # nslookup
> server 8.8.8.8
Default server: 8.8.8.8
Address: 8.8.8.8#53
> ftp.libreoffice.org
;; connection timed out; no servers could be reached
> exit
T430:~ #
Comment 1 Luiz Silva 2019-08-06 11:25:22 UTC
For clarification sake, here are two straces runs _with timestamps_ on my machine, with and without the workaround in place:

T430# strace -t -f /usr/lib64/libreoffice/program/soffice.bin 2>&1 | grep ftp
[pid  4221] 08:19:36 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\v\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  4221] 08:19:37 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\20\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
[pid  4221] 08:19:38 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\24\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  4221] 08:19:38 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\30\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  4221] 08:19:39 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\34\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  4221] 08:19:39 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0 \0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#

T430# sudo vi /etc/hosts
T430# grep libre /etc/hosts
127.0.0.1       localhost ftp.libreoffice.org
T430#

T430# strace -t -f /usr/lib64/libreoffice/program/soffice.bin 2>&1 | grep ftp
[pid  5051] 08:20:50 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\v\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5051] 08:20:50 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\20\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5051] 08:20:50 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\24\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
[pid  5051] 08:20:50 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\30\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5051] 08:20:50 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\34\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5051] 08:20:50 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0 \0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#
Comment 2 Julien Nabet 2019-08-06 14:12:15 UTC
I noticed these:
https://opengrok.libreoffice.org/search?project=core&full=%22ftp.libreoffice.org%22&defs=&refs=&path=&hist=&type=&si=full

Do you use kde5?

Michael: thought you might be interested in this one.
Comment 3 Luiz Silva 2019-08-06 14:38:08 UTC
> Do you use kde5?

Yes I do!

Operating System: openSUSE Tumbleweed 20190730
KDE Plasma Version: 5.16.3
KDE Frameworks Version: 5.60.0
Qt Version: 5.13.0
Kernel Version: 5.2.3-1-default
OS Type: 64-bit
Processors: 4 × Intel® Core™ i5-3320M CPU @ 2.60GHz
Memory: 15,5 GiB
Comment 4 Luiz Silva 2019-08-06 14:45:20 UTC
Proxy is set to "None" on LibreOffice, although I have proxy set on KDE for other stuff to use.
Comment 5 Julien Nabet 2019-08-06 14:49:32 UTC
Thank you for your feedback.
For a temporary workaround, you can try another rendering by typing this:
SAL_USE_VCLPLUGIN=gen;soffice
Comment 6 Julien Nabet 2019-08-06 14:50:42 UTC
(In reply to Luiz Silva from comment #4)
> Proxy is set to "None" on LibreOffice, although I have proxy set on KDE for
> other stuff to use.

It seems a different pb to me so a new bugtracker should be created about this.
Comment 7 Luiz Silva 2019-08-06 15:01:49 UTC
Using SAL_USE_VCLPLUGIN=gen made no difference in loading times, queries to the ftp url are still being made.

T430# SAL_USE_VCLPLUGIN=gen;strace -t -f /usr/lib64/libreoffice/program/soffice.bin 2>&1 | grep ftp[pid 23700] 11:58:14 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid 23700] 11:58:18 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid 23700] 11:58:19 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\27\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid 23700] 11:58:20 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\33\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid 23700] 11:58:20 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\37\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid 23700] 11:58:21 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0#\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
Comment 8 Luiz Silva 2019-08-06 15:04:03 UTC
> It seems a different pb to me so a new bugtracker should be created about this.

I mentioned proxy settings because the section of code you found on grok referring to kf5access is related to probing proxy settings. Why should this be forked to a different bug record?
Comment 9 Julien Nabet 2019-08-06 15:35:59 UTC
Did you add or remove proxy recently on your env?

For the test, could you rename your LO directory profile (see https://wiki.documentfoundation.org/UserProfile#GNU.2FLinux) and indicate if there's still "No proxy".
Indeed, if it's the case, "ftp.libreoffice.org" shouldn't be used.

Also, I noticed https://cgit.freedesktop.org/libreoffice/core/commit/?id=cc191e4f5da18c3b223316f39aac23003ca54671
I understand that for retrieving ftp proxies, it's better to test an ftp url instead of an http url but if the ftp url doesn't exist...
Comment 10 Luiz Silva 2019-08-06 16:04:16 UTC
If I remove my LibreOffice directory profile and start LibreOffice the Proxy settings are set to "System". If I change them to "None", save and exit, the proxy settings are maintained as "None", however the startup delay because of the ftp URL lookup is still present.
Comment 11 Luiz Silva 2019-08-06 16:15:20 UTC
Outputs from my test runs:
==========================

T430# rm -rf ~/.config/libreoffice

#
# Fisrt start after profile directory removal
#

T430# strace -t -f /usr/lib64/libreoffice/program/soffice.bin 2>&1 | grep ftp
[pid  5391] 13:09:02 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5391] 13:09:05 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5391] 13:09:06 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\27\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5391] 13:09:08 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\33\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5391] 13:09:11 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\37\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5391] 13:09:13 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0#\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#

#
# No Proxy settings are found on registrymodifications.xcu,
# although the configuration interface shows "System"
#

T430# grep Proxy ~/.config/libreoffice/4/user/registrymodifications.xcu
T430#

#
# Second run of libreoffice in which I change the proxy settings to "None".
#

T430# strace -t -f /usr/lib64/libreoffice/program/soffice.bin 2>&1 | grep ftp
[pid  5782] 13:09:34 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5782] 13:09:35 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5782] 13:09:36 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\27\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5782] 13:09:37 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\33\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5782] 13:09:38 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\37\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5782] 13:09:39 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0#\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#

#
# Proxy settings are found on registrymodifications.xcu
#

T430# grep Proxy ~/.config/libreoffice/4/user/registrymodifications.xcu
<item oor:path="/org.openoffice.Inet/Settings"><prop oor:name="ooInetProxyType" oor:op="fuse"><value>0</value></prop></item>
T430#

#
# Third run of libreoffice, now with proxy set to "None" still shows
# the same slow DNS queries of the FTP URL.
#

T430# strace -t -f /usr/lib64/libreoffice/program/soffice.bin 2>&1 | grep ftp
[pid  6230] 13:10:02 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  6230] 13:10:03 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  6230] 13:10:04 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\27\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  6230] 13:10:05 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\33\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
[pid  6230] 13:10:07 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\37\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  6230] 13:10:08 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0#\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#
Comment 12 Luiz Silva 2019-08-06 16:19:43 UTC
> Also, I noticed https://cgit.freedesktop.org/libreoffice/core/commit/?id=cc191e4f5da18c3b223316f39aac23003ca54671
> I understand that for retrieving ftp proxies, it's better to test an ftp url instead of an http url but if the ftp url doesn't exist...
That got me! :D
Comment 13 Julien Nabet 2019-08-06 17:06:47 UTC
(In reply to Luiz Silva from comment #12)
> > Also, I noticed https://cgit.freedesktop.org/libreoffice/core/commit/?id=cc191e4f5da18c3b223316f39aac23003ca54671
> > I understand that for retrieving ftp proxies, it's better to test an ftp url instead of an http url but if the ftp url doesn't exist...
> That got me! :D

I wonder if https://cgit.freedesktop.org/libreoffice/core/commit/?id=cc191e4f5da18c3b223316f39aac23003ca54671 may have fixed this from 6.3 branch

Indeed, considering the comment, Java was slowed down because of a wrong part.

For the test, could you give a try to prerelease 6.3.0 with a brand new profile?
Comment 14 Luiz Silva 2019-08-06 17:49:48 UTC
> For the test, could you give a try to prerelease 6.3.0 with a brand new profile?

Just did, problem remains, although on 6.3 only two name lookups are done [which is a performance improvement, but not a fix]:

T430# rm -rf ~/.config/libreoffice
T430# strace -t -f /opt/libreoffice6.3/program/soffice.bin 2>&1 | grep ftp
[pid  5792] 14:44:24 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  5792] 14:44:29 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#

What also remains the same is that when started Proxy settings are set to "System", after changed to "None" the name lookups still happen:

T430# grep Proxy ~/.config/libreoffice/4/user/registrymodifications.xcu 
<item oor:path="/org.openoffice.Inet/Settings"><prop oor:name="ooInetProxyType" oor:op="fuse"><value>0</value></prop></item>
T430# strace -t -f /opt/libreoffice6.3/program/soffice.bin 2>&1 | grep ftp
[pid  8949] 14:48:56 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  8949] 14:48:58 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#
Comment 15 Julien Nabet 2019-08-07 14:35:52 UTC
I opened a thread here:
http://document-foundation-mail-archive.969070.n3.nabble.com/tdf-126728-About-FTP-proxy-settings-on-KDE5-tt4264686.html

Do you have any Java extension in LibreOffice?
If yes, could you disable it and test again just to know if it may help or not?
Comment 16 Luiz Silva 2019-08-07 14:46:00 UTC
> Do you have any Java extension in LibreOffice?
How do I check this? My LibreOffice install is pretty much standard from the rpms, I have not added (that I can recall) anything to it.
Comment 17 Katarina Behrens (Inactive) 2019-08-07 17:21:16 UTC
You might also want to disable Java completely in Tools > Options > Advanced to make sure JVM is not loaded (as JVM initialization is one possible place that reads proxy settings)
Comment 18 Luiz Silva 2019-08-07 18:00:17 UTC
> You might also want to disable Java completely in Tools > Options > Advanced to make sure JVM is not loaded (as JVM initialization is one possible place that reads proxy settings)

Done it, but no improvement. In fact, LibreOffice took longer to load with this change in place.

T430# strace -t -f /usr/lib64/libreoffice/program/soffice.bin 2>&1 | grep ftp
[pid  1012] 14:59:01 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\16\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  1012] 14:59:07 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\23\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  1012] 14:59:09 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\27\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  1012] 14:59:10 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\33\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
[pid  1012] 14:59:21 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\37\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid  1012] 14:59:28 sendmsg(13, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0#\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#
Comment 19 Julien Nabet 2019-08-08 12:30:28 UTC
Would you be interested in building LO code from sources?
If yes you can take a look here:
https://wiki.documentfoundation.org/Development/BuildingOnLinux

The goal would be to retrieve a backtrace.
Comment 20 Luiz Silva 2019-08-08 15:03:30 UTC
I could get you a backtrace from the current version of LO that I'm running. Is this what you want?
Comment 21 Julien Nabet 2019-08-08 15:44:41 UTC
(In reply to Luiz Silva from comment #20)
> I could get you a backtrace from the current version of LO that I'm running.
> Is this what you want?

yes perhaps it may help.
Comment 22 Alex Thurgood 2019-08-09 07:43:44 UTC
Wrong component in bug report - "Base" is for the database component - changing to LibreOffice
Comment 23 Luiz Silva 2019-08-09 13:11:53 UTC
Just so you know, I have not abandoned this bug report. I'm installing the hundreds of *-debuginfo packages required for a proper backtrace of LO with gdb.
Comment 24 Luiz Silva 2019-08-09 14:21:10 UTC
Created attachment 153265 [details]
Backtrace 1

Is this the expected procedure for the backtrace?
T430# gdb /usr/lib64/libreoffice/program/soffice.bin
GNU gdb (GDB; openSUSE Tumbleweed) 8.3
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-suse-linux".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.opensuse.org/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/lib64/libreoffice/program/soffice.bin...
Reading symbols from /usr/lib/debug/usr/lib64/libreoffice/program/soffice.bin-6.2.5.2-1.1.x86_64.debug...
(gdb) set logging on
Copying output to gdb.txt.
(gdb) thread apply all backtrace full
(gdb) run

See attached backtrace outrput.
Comment 25 Luiz Silva 2019-08-09 14:34:06 UTC
Created attachment 153266 [details]
Backtrace 2

Found a better procedure for backtracing, I hope this is a better backtrace to work with.
Comment 26 Julien Nabet 2019-08-09 14:43:41 UTC
BT1 isn't useful.
BT2 I think it's not useful too.

Here what I'd:
- retrieve sources
- build sources (with autogen.input containing --enable-symbols or --enable-dbgutil)
- "make debugrun"
- add a break in gdb at these 2 locations:
 - "b shell/source/backends/kf5be/kf5access.cxx:113"
 - "b shell/source/backends/kf5be/kf5access.cxx:140"
- run
- gdb may stop with ?? in this case type "c" (for continue) until you reach one of the break
- "bt"
Comment 27 Luiz Silva 2019-08-12 16:44:30 UTC
Cloning the git is running very slowly. Is there a zip download that might go faster?

git clone https://git.libreoffice.org/core
Cloning into 'core'...
remote: Counting objects: 829931, done
remote: Finding sources: 100% (67150/67150)
Receiving objects:   4% (219330/5062484), 185.07 MiB | 500.00 KiB/s
Comment 28 Julien Nabet 2019-08-12 17:00:42 UTC
(In reply to Luiz Silva from comment #27)
> Cloning the git is running very slowly. Is there a zip download that might
> go faster?
> 
> git clone https://git.libreoffice.org/core
> Cloning into 'core'...
> remote: Counting objects: 829931, done
> remote: Finding sources: 100% (67150/67150)
> Receiving objects:   4% (219330/5062484), 185.07 MiB | 500.00 KiB/s

I suppose there should be something but I don't know, I only use git.
Comment 29 Luiz Silva 2019-08-13 19:54:53 UTC
Building LibreOffice on a i5-3320M CPU @ 2.60GHz was not a wise decision...
Should be done anytime this week.
Comment 30 Luiz Silva 2019-08-14 13:13:24 UTC
Created attachment 153384 [details]
Backtrace 3

Problem doesn't occur with LibreOffice built from git clone.

T430# strace /home/tvt02157/Apps/core/instdir/program/soffice.bin 2>&1 | grep ftp
T430#

Backtrace 3 attached.
Comment 31 Julien Nabet 2019-08-14 13:17:45 UTC
(In reply to Luiz Silva from comment #30)
> Created attachment 153384 [details]
> Backtrace 3
> 
> Problem doesn't occur with LibreOffice built from git clone.
> 
> T430# strace /home/tvt02157/Apps/core/instdir/program/soffice.bin 2>&1 |
> grep ftp
> T430#
> 
> Backtrace 3 attached.

At least, it means it'll be ok on future 6.4.0 if you don't reproduce this from LO built from git clone. Now I must recognize I'm stuck.
Comment 32 Luiz Silva 2019-08-14 13:24:13 UTC
Just so you know, I built LO with --enable-symbols and --enable-dbgutil.
Comment 33 Luiz Silva 2019-08-14 13:35:47 UTC
(In reply to Julien Nabet from comment #31)
> (In reply to Luiz Silva from comment #30)
> > Created attachment 153384 [details]
> > Backtrace 3
> > 
> > Problem doesn't occur with LibreOffice built from git clone.
> > 
> > T430# strace /home/tvt02157/Apps/core/instdir/program/soffice.bin 2>&1 |
> > grep ftp
> > T430#
> > 
> > Backtrace 3 attached.
> 
> At least, it means it'll be ok on future 6.4.0 if you don't reproduce this
> from LO built from git clone. Now I must recognize I'm stuck.

I wonder if the bug could be related specifically to openSuse's build or if it affects any build of LibreOffice 6.2.5.2 running on KDE5 with proxy set...
Is there a way we could verify that?
Comment 34 Luiz Silva 2019-08-14 17:17:22 UTC
OpenSuse just released LibreOffice 6.3.0.4 and like I mentioned in comment 14, this release does 2 lookups, which is a performance improvement, but not a definite fix. See strace bellow:

T430# strace -t -f /usr/bin/soffice 2>&1 | grep ftp
[pid 14269] 14:13:44 sendmsg(16, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\5\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
[pid 14269] 14:13:50 sendmsg(16, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\1\0\1\36\0\0\0\n\0\0\0w\0\0\0\1\1o\0\23\0\0\0/modules"..., iov_len=136}, {iov_base="\31\0\0\0ftp://ftp.libreoffice.org\0", iov_len=30}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 166
T430#

Seems like openSuse's packages are inline with upstream.
Comment 35 Michael Weghorn 2019-09-11 10:08:16 UTC
(In reply to Julien Nabet from comment #31)

> At least, it means it'll be ok on future 6.4.0 if you don't reproduce this
> from LO built from git clone. Now I must recognize I'm stuck.

@Luiz: In case you still have it: Can you paste the version information from "Help" -> "About LibreOffice" of that master build? (to know which VCL plugin is being used)

I currently cannot reproduce such a slowdown on Debian testing with either a master build or LibreOffice 6.3.0 as provided by Debian.

Since KProtocolManager is involved and the assumption is that this is DNS-lookup related, this might e.g. be dependent on:

* network setup (DNS, proxy settings,...)
* version of the underlying kf5 library that contains KProtocolManager (I think that is KIO)

Could you possibly experiment a bit more here to find something that works for you in order to further narrow down the cause?
Comment 36 Xisco Faulí 2019-10-16 11:59:25 UTC
(In reply to Michael Weghorn from comment #35)
> (In reply to Julien Nabet from comment #31)
> 
> > At least, it means it'll be ok on future 6.4.0 if you don't reproduce this
> > from LO built from git clone. Now I must recognize I'm stuck.
> 
> @Luiz: In case you still have it: Can you paste the version information from
> "Help" -> "About LibreOffice" of that master build? (to know which VCL
> plugin is being used)
> 
> I currently cannot reproduce such a slowdown on Debian testing with either a
> master build or LibreOffice 6.3.0 as provided by Debian.
> 
> Since KProtocolManager is involved and the assumption is that this is
> DNS-lookup related, this might e.g. be dependent on:
> 
> * network setup (DNS, proxy settings,...)
> * version of the underlying kf5 library that contains KProtocolManager (I
> think that is KIO)
> 
> Could you possibly experiment a bit more here to find something that works
> for you in order to further narrow down the cause?

Setting to NEEDINFO until the information is provided by Luiz Silva
Comment 37 QA Administrators 2020-04-14 03:26:57 UTC Comment hidden (obsolete)
Comment 38 QA Administrators 2020-05-15 03:46:42 UTC
Dear Luiz Silva,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp